Commits

Pierre-Yves David committed fdf3ae4

Fix mercurial version check

Comments (0)

Files changed (1)

hgext/obsolete.py

 
 try:
     from mercurial import obsolete
-    obsolete._enabled = True
+    if not obsolete._enabled:
+        obsolete._enabled = True
 except ImportError:
     raise util.Abort('Obsolete extension requires Mercurial 2.3 (or later)')